org.apache.tinkerpop.gremlin.structure

## Enum Column

- java.lang.Object
- - java.lang.Enum<Column>
  - - org.apache.tinkerpop.gremlin.structure.Column

- All Implemented Interfaces:
    Serializable, Comparable<Column>, Function<Object,Object>

      public enum Column
      extends Enum<Column>
      implements Function<Object,Object>

  Column references a particular type of column in a complex data structure such as a `Map`, a `Map.Entry`, or a `Path`.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `keys` The keys associated with the data structure.
    `values` The values associated with the data structure.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Column` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Column[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, apply, compose, identity`

- - ### Enum Constant Detail

    - #### keys

          public static final Column keys

      The keys associated with the data structure.

    - #### values

          public static final Column values

      The values associated with the data structure.

  - ### Method Detail

    - #### values

          public static Column[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Column c : Column.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Column valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.